## python-setproctitle 1.1.8

=== Makefile ===
# Oh, makefile, help me with the python3 craze :D
#
# Copyright (c) 2010-2012 Daniele Varrazzo <daniele.varrazzo@gmail.com>

MKDIR = mkdir -p
RM = rm -f

# Customize these to select the Python to build/test
PYTHON ?= python
PYCONFIG ?= python-config
PY2TO3 ?= 2to3

# PYVER value is 2 or 3
PYVER := $(shell $(PYTHON) -c "import sys; print(sys.version_info[0])")
ROOT_PATH := $(shell pwd)

PYINC := $(shell $(PYCONFIG) --includes)
PYLIB := $(shell $(PYCONFIG) --ldflags) -L$(shell $(PYCONFIG) --prefix)/lib

BUILD_DIR = build/lib.$(PYVER)

.PHONY: build check py3 clean

ifeq (2,$(PYVER))

build:
	$(PYTHON) setup.py build --build-lib $(BUILD_DIR)

check: build tests/pyrun2
	PYTHONPATH=`pwd`/$(BUILD_DIR):$$PYTHONPATH \
	ROOT_PATH=$(ROOT_PATH) \
	$(PYTHON) `which nosetests` -v -s -w tests

tests/pyrun2: tests/pyrun.c
	$(CC) $(PYINC) -o $@ $< $(PYLIB)

else

build: py3
	$(PYTHON) py3/setup.py build --build-lib $(BUILD_DIR)

check: build tests/pyrun3
	PYTHONPATH=$(BUILD_DIR):$$PYTHONPATH \
	ROOT_PATH=$(ROOT_PATH) \
	$(PYTHON) py3/tests/setproctitle_test.py -v

py3: MANIFEST
	$(MKDIR) py3
	$(MKDIR) py3/src
	$(MKDIR) py3/tests
	for f in `grep -v "#" MANIFEST`; do cp -v $$f py3/$$f; done
	# setup.py should be executable with python3 as distribute
	# currenlty doesn't seem to try to convert it
	$(PY2TO3) -w --no-diffs py3/tests

tests/pyrun3: tests/pyrun.c
	$(CC) $(PYINC) -o $@ $< $(PYLIB)

endif

sdist: MANIFEST
	$(PYTHON) setup.py sdist --formats=gztar,zip

MANIFEST:
	# Must run twice because the manifest contains the manifest itself.
	$(PYTHON) setup.py sdist --manifest-only
	$(PYTHON) setup.py sdist --manifest-only

clean:
	$(RM) -r MANIFEST py3 build dist tests/pyrun2 tests/pyrun3

## python-setproctitle 1.0.1

=== debian/changelog ===
python-setproctitle (1.0.1-1ubuntu1.14.04.2) trusty; urgency=medium

  * Fix build failure, oops.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 07 Apr 2016 15:19:32 -0700

python-setproctitle (1.0.1-1ubuntu1.14.04.1) trusty; urgency=medium

  * Fix segfault when the module is imported under mod_wsgi (LP: #1538736)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 05 Apr 2016 17:24:39 -0700

python-setproctitle (1.0.1-1ubuntu1) precise; urgency=low

  * debian/{rules,control}: Transition to dh python2.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 19 Mar 2012 19:38:21 +0000

python-setproctitle (1.0.1-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:12:24 +0000

python-setproctitle (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Added missing dependency for python, thanks to Sven Joachim for reporting
    this (Closes: #584078).
  * Fixed problem when building package more than once, thanks to Jakub Wilk
    for reporting this (Closes: #583887).
  * Disabled tests for kfreebsd until setproctitle is fixed in libbsd.

 -- Örjan Persson <orange@fobie.net>  Mon, 31 May 2010 20:58:30 +0200

python-setproctitle (1.0-1) unstable; urgency=low

  * Initial release (Closes: #583506).

 -- Örjan Persson <orange@fobie.net>  Thu, 27 May 2010 20:39:52 +0200

=== debian/control ===
Source: python-setproctitle
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Örjan Persson <orange@fobie.net>
Uploaders: Andreas Schuldei <andreas@debian.org>
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), gcc (>= 4), python-nose, procps
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/py-setproctitle/

Package: python-setproctitle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: A setproctitle implementation for Python
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 Changing the title is mostly useful in multi-process systems, for example when
 a master process is forked: changing the children's title allows to identify
 the task each process is busy with. The technique is used by PostgreSQL and
 the OpenSSH Server for example.

Package: python-setproctitle-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-setproctitle (= ${binary:Version})
Description: A setproctitle implementation for Python
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 This is the debugging symbols for setproctitle.

=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS := $(shell pyversions -sv)

%:
	dh $@ --with python2

override_dh_auto_clean: $(PYVERSIONS:%=clean-%-stamp)
	dh_auto_clean

clean-%-stamp:
	rm -rf build/test-$*

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_strip:
	dh_strip --dbg-package=python-setproctitle-dbg

override_dh_auto_test: $(PYVERSIONS:%=test-%-stamp)
test-%-stamp:	
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf build/test-$*
	mkdir build/test-$*
	python$* setup.py install_lib -d build/test-$*
	$(CC) tests/pyrun.c $$(python$*-config --includes --libs) -o tests/pyrun
ifeq (,$(findstring kfreebsd,$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)))
	PYTHONPATH=build/test-$* python$* /usr/bin/nosetests -v tests
endif
	touch test-python-$*-stamp
endif

.PHONY: override_dh_auto_clean override_dh_installchangelogs override_dh_strip override_dh_auto_test

## python-setproctitle 1.1.8

=== debian/changelog ===
python-setproctitle (1.1.8-1build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:24 +0000

python-setproctitle (1.1.8-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:13:22 +0000

python-setproctitle (1.1.8-1) unstable; urgency=low

  * New Upstream Release (Closes: #675423)
  * Adds Python3 support
  * Change to using dh_python2 and dh_python3

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 08 Jun 2014 15:36:32 +1200

=== debian/control ===
Source: python-setproctitle
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Matthew Grant <matt@mattgrant.net.nz>
Build-Depends: debhelper (>= 7.0.50), python-all-dev, gcc (>= 4), python3-all-dev, procps, python-nose, python3-nose, python3-docutils
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/py-setproctitle/

Package: python-setproctitle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: A setproctitle implementation for Python (Python 2)
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 Changing the title is mostly useful in multi-process systems, for example when
 a master process is forked: changing the children's title allows to identify
 the task each process is busy with. The technique is used by PostgreSQL and
 the OpenSSH Server for example.

Package: python-setproctitle-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-setproctitle (= ${binary:Version})
Description: A setproctitle implementation for Python (Python 2)
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 This is the debugging symbols for setproctitle.

Package: python3-setproctitle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: A setproctitle implementation for Python (Python 3)
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 Changing the title is mostly useful in multi-process systems, for example when
 a master process is forked: changing the children's title allows to identify
 the task each process is busy with. The technique is used by PostgreSQL and
 the OpenSSH Server for example.
 .
 This is the Python 3 package.

Package: python3-setproctitle-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python3-setproctitle (= ${binary:Version})
Description: A setproctitle implementation for Python (Python 3)
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 This is the debugging symbols for setproctitle, Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

PYTHON2 := $(shell pyversions -vr)
PYTHON3 := $(shell py3versions -vr)

%:
	dh  $@ --with python2,python3


#override_dh_installchangelogs:
#	dh_installchangelogs HISTORY

#override_dh_strip:
#	dh_strip --dbg-package=python-setproctitle-dbg

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#
#override_dh_auto_test: $(PYTHON2:%=test-%-stamp) $(PYTHON3:%=test-%-stamp)
#test-%-stamp:	
#	mkdir -p build/test-$*
#	python$* setup.py build
#	python$* setup.py install_lib -d build/test-$*
#ifeq (,$(findstring kfreebsd,$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)))
#	PYTHONPATH=build/test-$* python$* /usr/bin/nosetests -v tests
#endif
#	touch test-python-$*-stamp
#
test-python%:
	true
#	python$* nosetests-$* -v tests

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

build-python%:
	python$* setup.py build

override_dh_auto_build:	$(PYTHON3:%=build-python%)
	dh_auto_build
	rst2man README.rst | nroff -mandoc > build/README
	rst2man HISTORY.rst | nroff -mandoc > build/HISTORY

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON2:%=install-python%) $(PYTHON3:%=install-python%)

override_dh_strip:
	dh_strip -k
	for P in python-setproctitle python3-setproctitle; do \
		mv debian/$${P}/usr/lib/debug/* debian/$${P}-dbg/usr/lib/debug; \
	done

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf build
	-rm -rf *.egg-info
	-find . -name '*.py[oc]' | xargs rm -f

## python-setproctitle 1.1.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Oh, makefile, help me with the python3 craze :D
 #
-# Copyright (c) 2010-2012 Daniele Varrazzo <daniele.varrazzo@gmail.com>
+# Copyright (c) 2010-2016 Daniele Varrazzo <daniele.varrazzo@gmail.com>
 
 MKDIR = mkdir -p
 RM = rm -f
@@ -44,11 +44,11 @@
 	ROOT_PATH=$(ROOT_PATH) \
 	$(PYTHON) py3/tests/setproctitle_test.py -v
 
-py3: MANIFEST
+py3:
 	$(MKDIR) py3
 	$(MKDIR) py3/src
 	$(MKDIR) py3/tests
-	for f in `grep -v "#" MANIFEST`; do cp -v $$f py3/$$f; done
+	for f in *.rst setup.py COPYRIGHT MANIFEST.in src/*.c src/*.h tests/*.py tests/*.c; do cp -v $$f py3/$$f; done
 	# setup.py should be executable with python3 as distribute
 	# currenlty doesn't seem to try to convert it
 	$(PY2TO3) -w --no-diffs py3/tests
@@ -58,15 +58,8 @@
 
 endif
 
-sdist: MANIFEST
+sdist:
 	$(PYTHON) setup.py sdist --formats=gztar,zip
 
-MANIFEST:
-	# Must run twice because the manifest contains the manifest itself.
-	$(PYTHON) setup.py sdist --manifest-only
-	$(PYTHON) setup.py sdist --manifest-only
-
 clean:
-	$(RM) -r MANIFEST py3 build dist tests/pyrun2 tests/pyrun3
-
-
+	$(RM) -r py3 build dist tests/pyrun2 tests/pyrun3 setproctitle.egg-info

=== debian/changelog ===
python-setproctitle (1.1.10-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Gordon Ball ]
  * Drop python2 support (Closes: #938166)
  * Enable testing on python3 (Closes: #849023)
  * Run the testsuite as an autopkgtest
  * Declare Rules-Requires-Root: no
  * Update Standards-Version to 4.5.0
  * Don't build an automatic -dbgsym package since there is an explicit -dbg
  * Update d/watch to use pypi.debian.net; the old link was broken
  * Don't convert (non-manpage) restructuredtext documentation to manpages

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 May 2020 15:50:52 +0000

python-setproctitle (1.1.10-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in git with git-dpm.
  * Change copyright file into DEP-5 format and add myself to copyright.
  * Change build system to pybuild.
  * Build with hardening flags.
  * Bump Standard-Versions to 3.9.8. Nothing to change.
  * Fix some lintian errors in the descriptions and copyright (Closes: #833180).
  * Add VCS fields and change homepage to github.
  * Move compat to version 9.
  * New upstream release.
  * Add Multi-Arch:same in control as suggested by dedup.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 14 Sep 2016 01:05:17 +0200

python-setproctitle (1.1.8-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 Jul 2014 12:25:45 +0100

=== debian/control ===
Source: python-setproctitle
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Matthew Grant <matt@mattgrant.net.nz>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 procps,
 2to3,
 python3-all-dbg,
 python3-all-dev,
 python3-nose,
Standards-Version: 4.5.0
Homepage: https://github.com/dvarrazzo/py-setproctitle
Vcs-Git: https://salsa.debian.org/python-team/modules/python-setproctitle.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-setproctitle
Rules-Requires-Root: no

Package: python3-setproctitle
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Setproctitle implementation for Python 3
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 Changing the title is mostly useful in multi-process systems, for example when
 a master process is forked: changing the children's title allows one to
 identify the task each process is busy with. The technique is used by
 PostgreSQL and the OpenSSH Server for example.
 .
 This is the Python 3 package.

Package: python3-setproctitle-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 python3-setproctitle (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Setproctitle implementation for Python 3 (debug)
 The library allows a process to change its title (as displayed by system tools
 such as ps and top).
 .
 This is the debugging symbols for setproctitle, Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=setproctitle
export PYBUILD_DISABLE_python3-dbg=test
export PYBUILD_BEFORE_TEST=2to3 -w --no-diffs tests/setproctitle_test.py
export PYBUILD_TEST_ARGS=-e embedded

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: setproctitle
Depends: procps, 2to3, python3-setproctitle, python3-nose
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://pypi.debian.net/setproctitle/setproctitle-(.*)\.tar\.gz

## python-setproctitle 1.2.1

=== debian/changelog ===
python-setproctitle (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 04 Dec 2020 08:08:32 +0000

python-setproctitle (1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Gordon Ball ]
  * Use github rather than pypi tarball in d/watch
  * New upstream version 1.2
  * Update copyright years
  * Simplify the build
     + Testing with python3 no longer requires 2to3
     + Build using setuptools instead of distutils
     + Use default pybuild test
  * Add myself to uploaders

 -- Gordon Ball <gordon@chronitis.net>  Fri, 27 Nov 2020 18:43:10 +0000

python-setproctitle (1.1.10-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * Fix FTBFS with multiple supported python versions (Closes: #972195)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 14 Oct 2020 20:31:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: python-setproctitle
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Matthew Grant <matt@mattgrant.net.nz>,
+ Gordon Ball <gordon@chronitis.net>,
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  procps,
- 2to3,
  python3-all-dbg,
  python3-all-dev,
- python3-nose,
+ python3-pytest,
+ python3-setuptools,
 Standards-Version: 4.5.0
 Homepage: https://github.com/dvarrazzo/py-setproctitle
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-setproctitle.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-setproctitle
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-setproctitle.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setproctitle
 Rules-Requires-Root: no
 
 Package: python3-setproctitle

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=setproctitle
export PYBUILD_TEST_ARGS_python3-dbg=-k "not embedded"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
https://github.com/dvarrazzo/py-setproctitle/tags .*/archive/version-([\d\.-]+)\.tar\.gz

## python-setproctitle 1.2.2

=== debian/changelog ===
python-setproctitle (1.2.2-2deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:56:16 +0200

python-setproctitle (1.2.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * Drop explicit debug package python3-setproctitle-dbg

 -- Gordon Ball <gordon@chronitis.net>  Sat, 04 Sep 2021 19:00:17 +0000

python-setproctitle (1.2.2-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * New upstream version 1.2.2

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 19:45:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  Matthew Grant <matt@mattgrant.net.nz>,
  Gordon Ball <gordon@chronitis.net>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  procps,
- python3-all-dbg,
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/dvarrazzo/py-setproctitle
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-setproctitle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setproctitle
@@ -36,17 +35,3 @@
  PostgreSQL and the OpenSSH Server for example.
  .
  This is the Python 3 package.
-
-Package: python3-setproctitle-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends:
- python3-setproctitle (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Setproctitle implementation for Python 3 (debug)
- The library allows a process to change its title (as displayed by system tools
- such as ps and top).
- .
- This is the debugging symbols for setproctitle, Python 3.

## python-setproctitle 1.3.1

=== debian/changelog ===
python-setproctitle (1.3.1-1) unstable; urgency=medium

  * Update Standards-Version to 4.6.0
  * New upstream version 1.3.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 26 Aug 2022 21:35:59 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/dvarrazzo/py-setproctitle
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-setproctitle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setproctitle

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=setproctitle

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-setproctitle 1.3.2

=== debian/changelog ===
python-setproctitle (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Standards-Version: 4.6.2

 -- Gordon Ball <gordon@chronitis.net>  Sun, 11 Jun 2023 20:21:09 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/dvarrazzo/py-setproctitle
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-setproctitle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setproctitle

## python-setproctitle 1.3.3

=== debian/changelog ===
python-setproctitle (1.3.3-1build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:43 +0200

python-setproctitle (1.3.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:53:15 +0000

python-setproctitle (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3

 -- Gordon Ball <gordon@chronitis.net>  Thu, 05 Oct 2023 12:14:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-setproctitle
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Matthew Grant <matt@mattgrant.net.nz>,
  Gordon Ball <gordon@chronitis.net>,

=== debian/tests/control ===
Test-Command: python3 -m pytest -k "not embedded"
Depends: procps, python3-setproctitle, python3-pytest
Restrictions: allow-stderr

## python-setproctitle 1.3.4

=== debian/changelog ===
python-setproctitle (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Modernize handling of bool type (closes: #1097681).
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Feb 2025 12:48:52 +0000

## python-setproctitle 1.3.5

=== debian/changelog ===
python-setproctitle (1.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 18:12:17 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=setproctitle

%:
	dh $@ --buildsystem=pybuild

## python-setproctitle 1.3.6

=== debian/changelog ===
python-setproctitle (1.3.6-2) unstable; urgency=medium

  * Team upload.
  * Fix test failure on reproducible-builds.org.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 14:09:30 +0100

python-setproctitle (1.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 May 2025 13:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-setproctitle
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Matthew Grant <matt@mattgrant.net.nz>,
  Gordon Ball <gordon@chronitis.net>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  procps,
  python3-all-dev,
  python3-pytest,

=== debian/tests/control ===
Test-Command: LC_ALL=C.UTF-8 python3 -m pytest -k "not embedded"
Depends: procps, python3-setproctitle, python3-pytest
Restrictions: allow-stderr

## python-setproctitle 1.3.7

=== tools/Makefile ===
PTTEST_OBJS = pttest.o
SPTDEMO_OBJS = spt_demo.o ../src/spt_status.o ../src/strlcpy.o

PS_STATUS_C_URL = "http://git.postgresql.org/gitweb?p=postgresql.git;a=blob_plain;f=src/backend/utils/misc/ps_status.c;hb=HEAD"
PS_STATUS_H_URL = "http://git.postgresql.org/gitweb?p=postgresql.git;a=blob_plain;f=src/include/utils/ps_status.h;hb=HEAD"

CFLAGS = -g -Wall

CURL = wget -O -


all: pttest sptdemo prctl_demo

pttest: $(PTTEST_OBJS)

sptdemo: $(SPTDEMO_OBJS)
	$(CC) $(LDFLAGS) $^ -o $@

pgsources: ps_status.c ps_status.h

ps_status.c :
	$(CURL) $(PS_STATUS_C_URL) > $@

ps_status.h :
	$(CURL) $(PS_STATUS_H_URL) > $@

=== debian/changelog ===
python-setproctitle (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * d/control: standards-version 4.7.2, drop rules-requires-root

 -- Gordon Ball <gordon@chronitis.net>  Mon, 13 Oct 2025 22:21:47 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
  python3-all-dev,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/dvarrazzo/py-setproctitle
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-setproctitle.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-setproctitle
-Rules-Requires-Root: no
 
 Package: python3-setproctitle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=setproctitle
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=LC_ALL=C.UTF-8 {interpreter} -m pytest

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/dvarrazzo/py-setproctitle/tags .*/archive/refs/tags/version-@ANY_VERSION@@ARCHIVE_EXT@
